NoOpLog (Apache Commons Logging 1.4.0 API)
Description: declaration: package: org.apache.commons.logging.impl, class: NoOpLog

Package org.apache.commons.logging.impl

# Class NoOpLog

java.lang.Object
org.apache.commons.logging.impl.NoOpLog

All Implemented Interfaces:
  `Serializable`, `Log`

public class NoOpLog extends Object implements Log, Serializable
Trivial implementation of Log that throws away all messages. No configurable system properties are supported.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoOpLog()`
  Convenience constructor
  `NoOpLog(String ignoredName)`
  Base constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `debug(Object message)`
  Do nothing
  `void`
  `debug(Object message, Throwable t)`
  Do nothing
  `void`
  `error(Object message)`
  Do nothing
  `void`
  `error(Object message, Throwable t)`
  Do nothing
  `void`
  `fatal(Object message)`
  Do nothing
  `void`
  `fatal(Object message, Throwable t)`
  Do nothing
  `void`
  `info(Object message)`
  Do nothing
  `void`
  `info(Object message, Throwable t)`
  Do nothing
  `final boolean`
  `isDebugEnabled()`
  Debug is never enabled.
  `final boolean`
  `isErrorEnabled()`
  Error is never enabled.
  `final boolean`
  `isFatalEnabled()`
  Fatal is never enabled.
  `final boolean`
  `isInfoEnabled()`
  Info is never enabled.
  `final boolean`
  `isTraceEnabled()`
  Trace is never enabled.
  `final boolean`
  `isWarnEnabled()`
  Warn is never enabled.
  `void`
  `trace(Object message)`
  Do nothing
  `void`
  `trace(Object message, Throwable t)`
  Do nothing
  `void`
  `warn(Object message)`
  Do nothing
  `void`
  `warn(Object message, Throwable t)`
  Do nothing

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NoOpLog

    public NoOpLog()
    Convenience constructor

  - ### NoOpLog

    public NoOpLog(String ignoredName)
    Base constructor
    Parameters:
      `ignoredName` - unused.

- ## Method Details

  - ### debug

    public void debug(Object message)
    Do nothing
    Specified by:
      `debug` in interface `Log`
    Parameters:
      `message` - log this message

  - ### debug

    public void debug(Object message, Throwable t)
    Do nothing
    Specified by:
      `debug` in interface `Log`
    Parameters:
      `message` - log this message
      `t` - log this cause

  - ### error

    public void error(Object message)
    Do nothing
    Specified by:
      `error` in interface `Log`
    Parameters:
      `message` - log this message

  - ### error

    public void error(Object message, Throwable t)
    Do nothing
    Specified by:
      `error` in interface `Log`
    Parameters:
      `message` - log this message
      `t` - log this cause

  - ### fatal

    public void fatal(Object message)
    Do nothing
    Specified by:
      `fatal` in interface `Log`
    Parameters:
      `message` - log this message

  - ### fatal

    public void fatal(Object message, Throwable t)
    Do nothing
    Specified by:
      `fatal` in interface `Log`
    Parameters:
      `message` - log this message
      `t` - log this cause

  - ### info

    public void info(Object message)
    Do nothing
    Specified by:
      `info` in interface `Log`
    Parameters:
      `message` - log this message

  - ### info

    public void info(Object message, Throwable t)
    Do nothing
    Specified by:
      `info` in interface `Log`
    Parameters:
      `message` - log this message
      `t` - log this cause

  - ### isDebugEnabled

    public final boolean isDebugEnabled()
    Debug is never enabled.
    Specified by:
      `isDebugEnabled` in interface `Log`
    Returns:
      false

  - ### isErrorEnabled

    public final boolean isErrorEnabled()
    Error is never enabled.
    Specified by:
      `isErrorEnabled` in interface `Log`
    Returns:
      false

  - ### isFatalEnabled

    public final boolean isFatalEnabled()
    Fatal is never enabled.
    Specified by:
      `isFatalEnabled` in interface `Log`
    Returns:
      false

  - ### isInfoEnabled

    public final boolean isInfoEnabled()
    Info is never enabled.
    Specified by:
      `isInfoEnabled` in interface `Log`
    Returns:
      false

  - ### isTraceEnabled

    public final boolean isTraceEnabled()
    Trace is never enabled.
    Specified by:
      `isTraceEnabled` in interface `Log`
    Returns:
      false

  - ### isWarnEnabled

    public final boolean isWarnEnabled()
    Warn is never enabled.
    Specified by:
      `isWarnEnabled` in interface `Log`
    Returns:
      false

  - ### trace

    public void trace(Object message)
    Do nothing
    Specified by:
      `trace` in interface `Log`
    Parameters:
      `message` - log this message

  - ### trace

    public void trace(Object message, Throwable t)
    Do nothing
    Specified by:
      `trace` in interface `Log`
    Parameters:
      `message` - log this message
      `t` - log this cause

  - ### warn

    public void warn(Object message)
    Do nothing
    Specified by:
      `warn` in interface `Log`
    Parameters:
      `message` - log this message

  - ### warn

    public void warn(Object message, Throwable t)
    Do nothing
    Specified by:
      `warn` in interface `Log`
    Parameters:
      `message` - log this message
      `t` - log this cause